package WheelOfFortune.game.wheel;

import java.io.Serializable;


// Source file: U:\\cse308\\asn8\\src\\game\\wheel\\Space.java


public class Space implements Serializable {
	public static final int NORMAL_SPACE = 1;
	public static final int LOSE_TURN = 2;
	public static final int BANKRUPT = 3;
	
	private int amount;
	private int code;
	private String name;
	
	/**
	 * @param name
	 * @param amount
	 * @param code
	 * @roseuid 4189233F03B7
	 */
	public Space(String name, int code, int amount) {
		this.name = name;
		this.amount = amount;
		this.code = code;
	}
	
	/**
	 * @return int
	 * @roseuid 4189234D0190
	 */
	public int getAmount() {
		return amount;
	}
	
	/**
	 * @return int
	 * @roseuid 41892364003F
	 */
	public int getCode() {
		return code;
	}
	public String getName()
	{
		return name;
	}
	
	public String toString() {
		return name;
		//return "Name: " + name + " Amount: " + amount + " Code: " + code;
	}
}
